<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (stristr(htmlentities($_SERVER['PHP_SELF']), "path.php")) {
	header("Location: ../../index.php");
	die();
}

$checkid = @intval($_GET['id']);
$checkop = @inCode($_GET['op']);

switch ($checkop) {
	case "readGuide":
		$row = $dblink->get_row("SELECT id,argomento,nome FROM memht_guide WHERE id=$checkid");
		$id = intval($row['id']);
		$checkid = intval($row['argomento']);
		$guititle = outCode($row['nome']);
		$guititle = " > <a href='index.php?page=guide&op=readGuide&id=$id&title=".mem_urlencode($guititle)."' title='$guititle'>$guititle</a>";
	case "arg":
		if ($row = $dblink->get_row("SELECT nome FROM memht_argomenti WHERE id=$checkid")) {
			$checktitle = outCode($row['nome']);
			$pathtext .= " > <a href='index.php?page=guide&op=arg&id=$checkid&title=".mem_urlencode($checktitle)."' title=\"$checktitle\">$checktitle</a>";
		}
		
		if (!empty($guititle)) { $pathtext .= $guititle; }
	break;
}

?>